From 3f3442a76e2b628f7d2feec6419dded7a84bebf7 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Wed, 14 Sep 2022 16:43:47 -0700
Subject: [PATCH v16 03/16] meson: prereq: win: remove date from version number
 in win32ver.rc

This may have served a purpose at some point, but these days it just
contributes to a non-reproducible build.

Discussion: https://postgr.es/m/1cef5b48-32bd-5cbf-fb62-fb648860f5ef@enterprisedb.com
---
 src/makefiles/Makefile.win32 | 1 -
 src/tools/msvc/Project.pm    | 5 -----
 2 files changed, 6 deletions(-)

diff --git a/src/makefiles/Makefile.win32 b/src/makefiles/Makefile.win32
index 17d68196442..d268b3ebafd 100644
--- a/src/makefiles/Makefile.win32
+++ b/src/makefiles/Makefile.win32
@@ -69,7 +69,6 @@ win32ver.rc: $(top_srcdir)/src/port/win32ver.rc
 	sed -e 's;FILEDESC;$(PGFILEDESC);' \
 	    -e 's;VFT_APP;$(PGFTYPE);' \
 	    -e 's;_ICO_;$(PGICOSTR);' \
-	    -e 's;\(VERSION.*\),0 *$$;\1,'`date '+%y%j' | sed 's/^0*//'`';' \
 	    -e '/_INTERNAL_NAME_/$(if $(shlib),s;_INTERNAL_NAME_;"$(basename $(shlib))";,d)' \
 	    -e '/_ORIGINAL_NAME_/$(if $(shlib),s;_ORIGINAL_NAME_;"$(shlib)";,d)' \
 	  $< >$@
diff --git a/src/tools/msvc/Project.pm b/src/tools/msvc/Project.pm
index b24a2a98155..ec449c864c1 100644
--- a/src/tools/msvc/Project.pm
+++ b/src/tools/msvc/Project.pm
@@ -367,10 +367,6 @@ sub AddResourceFile
 {
 	my ($self, $dir, $desc, $ico) = @_;
 
-	my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) =
-	  localtime(time);
-	my $d = sprintf("%02d%03d", ($year - 100), $yday);
-
 	if (Solution::IsNewer("$dir/win32ver.rc", 'src/port/win32ver.rc'))
 	{
 		print "Generating win32ver.rc for $dir\n";
@@ -383,7 +379,6 @@ sub AddResourceFile
 		{
 			s/FILEDESC/"$desc"/gm;
 			s/_ICO_/$icostr/gm;
-			s/(VERSION.*),0/$1,$d/;
 			if ($self->{type} eq "dll")
 			{
 				s/VFT_APP/VFT_DLL/gm;
-- 
2.37.3.542.gdd3f6c4cae

